> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osint.ly/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Xbox title detail and achievements



## OpenAPI

````yaml /tools-reference/openapi.json post /tools/xbox/title-detail
openapi: 3.1.0
info:
  title: Osintly Tools API
  version: 1.0.0
  description: >-
    OpenAPI specification for Osintly Epic Games, Vehicle History Finder, and
    Xbox tools and catalog endpoints.
  contact:
    name: Osintly
    url: https://docs.osint.ly/tools-reference/introduction
servers:
  - url: https://api.osint.ly
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Tools Catalog
    description: Discover available tools, metadata, and route costs.
  - name: Epic Games
    description: Direct Epic Games account validation and enrichment endpoints.
  - name: Vehicle History Finder
    description: >-
      Vehicle history enrichment endpoints for US VINs and French license
      plates.
  - name: Xbox
    description: Direct Xbox Live account validation and enrichment endpoints.
paths:
  /tools/xbox/title-detail:
    post:
      tags:
        - Xbox
      summary: Get Xbox title detail and achievements
      operationId: runXboxTitleDetail
      requestBody:
        $ref: '#/components/requestBodies/XboxTitleDetailRequest'
      responses:
        '200':
          $ref: '#/components/responses/GamingToolResponse'
        '400':
          $ref: '#/components/responses/ValidationError'
        '503':
          $ref: '#/components/responses/ProviderUnavailable'
components:
  requestBodies:
    XboxTitleDetailRequest:
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/XboxTitleDetailRequest'
          example:
            value: SomeGamertag
            type: gamertag
            titleId: '12345'
  responses:
    GamingToolResponse:
      description: Tool response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GamingToolResponse'
          example:
            tool: epic-games
            operation: search
            query:
              value: some-player
              type: epic_display_name
            data: {}
            meta:
              timestamp: '2026-06-28T12:00:00.000Z'
    ValidationError:
      description: Invalid request body or parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: VALIDATION_ERROR
              message: Invalid request body
              details:
                - path: value
                  message: Invalid value
            meta:
              timestamp: '2026-06-28T12:00:00.000Z'
    ProviderUnavailable:
      description: Required enrichment source configuration is missing
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: PROVIDER_UNAVAILABLE
              message: Provider unavailable
              details: A required enrichment source is unavailable for this operation
            meta:
              timestamp: '2026-06-28T12:00:00.000Z'
  schemas:
    XboxTitleDetailRequest:
      type: object
      required:
        - value
        - type
        - titleId
      properties:
        value:
          type: string
          description: Xbox gamertag or XUID to enrich.
        type:
          type: string
          enum:
            - gamertag
            - xuid
            - xbox
            - xbl
            - username
            - id
            - xbox_id
        titleId:
          type: string
          pattern: ^\d+$
          description: Numeric Xbox title ID.
      additionalProperties: false
    GamingToolResponse:
      type: object
      required:
        - data
        - meta
        - operation
        - query
        - tool
      properties:
        data:
          type: object
          additionalProperties: true
        meta:
          $ref: '#/components/schemas/ResponseMeta'
        operation:
          type: string
        query:
          type: object
          required:
            - value
            - type
          properties:
            value:
              type: string
            type:
              type: string
            normalizedType:
              type: string
          additionalProperties: true
        tool:
          type: string
          enum:
            - epic-games
            - vehicle-history-finder
            - xbox
      additionalProperties: false
    ErrorResponse:
      type: object
      required:
        - error
        - meta
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details: {}
          additionalProperties: true
        meta:
          $ref: '#/components/schemas/ResponseMeta'
      additionalProperties: false
    ResponseMeta:
      type: object
      required:
        - timestamp
      properties:
        timestamp:
          type: string
          format: date-time
        savedResult:
          $ref: '#/components/schemas/SavedToolResult'
      additionalProperties: true
    SavedToolResult:
      type: object
      required:
        - id
        - url
      properties:
        id:
          type: string
          format: uuid
        url:
          type: string
          format: uri
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````